package rekisteri;

import java.net.URL;
import java.util.ResourceBundle;

import fi.jyu.mit.fxgui.Dialogs;
import fi.jyu.mit.fxgui.ModalController;

import javafx.application.Platform;
import javafx.fxml.FXML;
import javafx.fxml.Initializable;

import javafx.scene.control.TextField;




/**
 * @author idamk
 * @version 16.2.2023
 *
 */
public class RalliGUIController implements Initializable {

    @FXML private TextField textHaettava; //haettava aloitusikkunasta
    
    @FXML void handleHae() {
        hae();
    }
    
    @FXML void handleLopeta() {
        tallenna();
        Platform.exit();
    }
    
    @FXML void handleTarkasteluun() {
        tarkasteluun();
    }
    
    
    @FXML void handleUusi() {
        lisaaUusi();
    }
    
    @FXML void handlePeruuta() {
        peruuta();
    }
    
    @FXML void handleMuokkaa() {
        muokkaa();
    }
    
    @FXML void handleTallenna() {
        tallenna();
    }
    
    @FXML void handlePoistu() {
        peruuta();
    }
    
   
    @Override
    public void initialize(URL location, ResourceBundle resources) {
        //
    }
    
    //==========================================================
    
    /**
     * 
     */
    public void tarkasteluun() {
        //ModalController.showModal(RalliGUIController.class.getResource("tarkastele.fxml"), "", null, "");
        Dialogs.showMessageDialog("Siirrytään tarkasteluun, ei toimi vielä");
    }
    
    /**
     * 
     */
    public void lisaaUusi(){
        Dialogs.showMessageDialog("Avataan uuden lisääminen, ei toimi vielä");
        //ModalController.showModal(RalliGUIController.class.getResource("uusi.fxml"), "", null, "");
    }
    
    /**
     * 
     */
    public void muokkaa() {
        Dialogs.showMessageDialog("Muokkaukseen, ei toimi vielä!");
    }
    
    /**
     * 
     */
    public void hae() {
        //String hakukenttaString = cbKentat.getSelectedText();

        Dialogs.showMessageDialog("Haetaan, ei toimi vielä");
    }

    /**
     * 
     */
    public void tallenna() {
        Dialogs.showMessageDialog("Tallennus ei toimi vielä");
    }
    
    /**
     * 
     */
    public void peruuta() {
        Dialogs.showMessageDialog("Palataan takaisin, ei toimi vielä");
    }
    
     
}