package rekisteri;

import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.Pane;
import javafx.fxml.FXMLLoader;


/**
 * @author idamk
 * @version 16.2.2023
 *
 */
public class RalliMain extends Application {
    @Override
    public void start(Stage primaryStage) {
        try {
            
            BorderPane root = (BorderPane)FXMLLoader.load(getClass().getResource("RalliGUIView.fxml"));
            
            //FXMLLoader ldr = new FXMLLoader(getClass().getResource("RalliGUIView.fxml"));
            //final Pane root = ldr.load();
            //final RalliGUIController ralliCtrl = (RalliGUIController) ldr.getController();
            
            Scene scene = new Scene(root);
            scene.getStylesheets().add(getClass().getResource("ralli.css").toExternalForm());
            primaryStage.setScene(scene);
            primaryStage.setTitle("Ralli");
            primaryStage.show();
            //ralliCtrl.jotain(getParameters()); ///KORJAA
            } catch(Exception e) {
            e.printStackTrace();
            }
    }
    



    /**
     * @param args Ei kaytossa
     */
    public static void main(String[] args) {
        launch(args);
    }
}